HFST-INSERT-FREELY(1)

NAME
hfst-insert-freely - =Insert symbol pairs freely

SYNOPSIS
hfst-insert-freely [OPTIONS...] [INFILE]

DESCRIPTION
Relabel transducer arcs

  Common options:

-h, --help
    Print help message

-V, --version
    Print version info

-v, --verbose
    Print verbosely while processing

-q, --quiet
    Only print fatal erros and requested output

-s, --silent
    Alias of --quiet

  Input/Output options:

-i, --input=INFILE
    Read input transducer from INFILE

-o, --output=OUTFILE
    Write output transducer to OUTFILE

  Insertion options:

-a, --symbol-pair=ISYM:OSYM
    freely insert ISYM:OSYM

If OUTFILE or INFILE is missing or -, standard streams will be used. Format of result depends on format of INFILE LABEL must be a symbol name in single arc in transducer, or colon separated pair defining an arc. If TFILE is specified, FLABEL must be a pair. LABELFILE is a 2 column tsv file where col 1 is FLABEL and col 2 gives TLABEL specifications.

EXAMPLES

    hfst-insert-freely -i tr.hfst -o tr_relabeled.hfst -s "a:b"

    insert transitions 'a:b' freely in the transducer

REPORTING BUGS
Report bugs to <hfst-bugs@helsinki.fi> or directly to our bug tracker at: <https://github.com/hfst/hfst/issues>

hfst-insert-freely home page: <https://github.com/hfst/hfst/wiki/HfstInsertFreely>
General help using HFST software: <https://github.com/hfst/hfst/wiki>

COPYRIGHT
Copyright © 2017 University of Helsinki, License GPLv3: GNU GPL version 3 <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.